## dhcpcd 0.4

=== Makefile ===
# $Id: Makefile,v 0.1 1996/09/22 04:54:17 yoichi v0_33 yoichi $

TARGET=	dhcpcd
BINDIR= /usr/sbin
SRCS=	main.c if.c client.c options.c socket-if.c arp.c error-handler.c \
	signal-handler.c daemon.c hostinfo.c memory.c
OBJS=	$(SRCS:.c=.o)
#CFLAGS=	-g -Wall -DNEED_BCAST_RESPONSE
CFLAGS=	-g -Wall

$(TARGET): $(OBJS)
	$(CC) -o $(TARGET) $(LFLAGS) $(OBJS)

install:
	mkdir -p /etc/dhcpc
	install -cs -m 500 $(TARGET) $(BINDIR)

main.c:		if.h dhcp.h signal-handler.h error-handler.h daemon.h
if.c:		if.h dhcp.h error-handler.h
client.c:	dhcp.h dhcp-options.h socket-if.h arp.h error-handler.h \
		hostinfo.h client.h
options.c:	dhcp.h dhcp-options.h
socket-if.c:	dhcp.h dhcp-options.h error-handler.h
arp.c:		dhcp.h if.h arp.h socket-if.h error-handler.h
daemon.c:	daemon.h error-handler.h
hostinfo.c:	hostinfo.h dhcp.h dhcp-options.h error-handler.h \
		signal-handler.h
error-handler.c:	error-handler.h
signal-handler.c:	dhcp.h if.h signal-handler.h error-handler.h


tar:
	tar cvf - *.c *.h Makefile README* ACK Changes pcmcia rc.d \
	dhcpcd.8 dhcpcd.lsm | gzip -9 > dhcpcd-src.tar.gz

clean:
	rm -f *.o *~ */*~ core
