## dhcpcd 0.70

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,13 @@
-# $Id: Makefile,v 0.1 1996/09/22 04:54:17 yoichi v0_33 yoichi $
+# $Id: Makefile,v 0.3 1997/01/31 16:48:47 yoichi v0_5 yoichi $
 
 TARGET=	dhcpcd
 BINDIR= /usr/sbin
 SRCS=	main.c if.c client.c options.c socket-if.c arp.c error-handler.c \
 	signal-handler.c daemon.c hostinfo.c memory.c
 OBJS=	$(SRCS:.c=.o)
+TARFILES= *.c *.h Makefile README* ACK Changes dhcpcd.8 dhcpcd.lsm
+TARDIRS= pcmcia rc.d
+
 #CFLAGS=	-g -Wall -DNEED_BCAST_RESPONSE
 CFLAGS=	-g -Wall
 
@@ -29,9 +32,36 @@
 signal-handler.c:	dhcp.h if.h signal-handler.h error-handler.h
 
 
+tags:
+	etags *.[ch]
+
 tar:
-	tar cvf - *.c *.h Makefile README* ACK Changes pcmcia rc.d \
-	dhcpcd.8 dhcpcd.lsm | gzip -9 > dhcpcd-src.tar.gz
+	tar cvf - $(TARFILES) $(TARDIRS) | gzip -9 > dhcpcd-src.tar.gz
+
+distrib:
+	@if [ "$(VERSION)" ]; then \
+	  if [ -d "../dhcpcd-$(VERSION)" ]; then \
+	    echo "dhcpcd-$(VERSION) already exists"; \
+	    exit 1; \
+	  fi; \
+	  mkdir ../dhcpcd-$(VERSION); \
+	  cp -r $(TARFILES) $(TARDIRS) ../dhcpcd-$(VERSION); \
+	  (cd ..; tar cvf - dhcpcd-$(VERSION) | gzip -9 >dhcpcd-$(VERSION).tar.gz); \
+	  rm -rf ../dhcpcd-$(VERSION); \
+	else \
+	  echo "specify the macro VERSION"; \
+	fi
 
 clean:
 	rm -f *.o *~ */*~ core
+
+seed:
+	@if [ "$(VERSION)" ]; then \
+	  ident $(TARFILES) | egrep 'Id:' >Seed-$(VERSION); \
+	  chmod 444 Seed-$(VERSION); \
+	else \
+	  echo "specify the macro VERSION"; \
+	fi
+
+snap:
+	  @ident $(TARFILES) | egrep 'Id:'
