## dhcpcd 10.0.1

=== debian/changelog ===
dhcpcd (1:10.0.1-3) unstable; urgency=medium

  * Reintroduce epoch for the whole package (Closes: #1040714).
    Since src:package dropped the 5, it too has a version older than Wheezy.
  * [rules]
    - Remove override_dh_gencontrol recipe as a result of the above.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Tue, 11 Jul 2023 18:49:15 +0300

dhcpcd (10.0.1-2) unstable; urgency=medium

  * Add new Wheezy migration preinst by Andreas Beckmann (Closes: #1037190).

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sun, 09 Jul 2023 15:52:33 +0300

dhcpcd (10.0.1-1) unstable; urgency=medium

  * New upstream release:
    - Drop all patches. Merged upstream.
  * [control]
    - Drop 5 from src:package name (Closes: #1026169).
  * [copyright],[dhcpcd-base.install]
    - Drop all Debian NTP hooks.
  * [rules]
    + Use upstream NTP hooks --with-hooks="ntp.conf timesyncd.conf" instead.
    + Include /usr/share/dpkg/pkg-info.mk needed for target version mingling.
    + Add epoch to bin:dhcpcd via override_dh_gencontrol (Closes: #1037190).
      Wheezy had (1:3.2.3-11+deb7u1) so reintroduce the epoch for one target.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Fri, 09 Jun 2023 11:30:21 +0300

dhcpcd5 (9.4.1-24) unstable; urgency=medium

  * Upload to unstable.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Mon, 29 May 2023 15:45:31 +0800

dhcpcd5 (9.4.1-23) experimental; urgency=medium

  [ Martin-Éric Racine ]
  * Migrate both VCS addresses to 5-less ones.

  [ Shengjing Zhu ]
  * Drop Conflicts/Replaces dhcp-client (Closes: #1036085).
  * Drop deprecated ntpd integration (Closes: #1036092).
    No longer working since ntpd was superseded by ntpsec.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sun, 28 May 2023 06:02:59 +0300

dhcpcd5 (9.4.1-22) unstable; urgency=medium

  [ Martin-Éric Racine ]
  * Migrate debian/watch to Github in cadence with upstream.
    Upstream no longer maintains his own private repository.
  * Import upstream GPG key.

  [ Shengjing Zhu ]
  * Fix autopkgtests (Closes: #1036098):
    + Use bind-interfaces in dnsmasq.conf.
    + Wait until NTP server is reloaded.
  * Backport seccomp patch to allow newfstatat syscall (Closes: #1034465)
  * Backport seccomp patch for SECCOMP_AUDIT_ARCH on ppc64el (Closes: #1036662)

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Wed, 24 May 2023 15:03:22 +0300

dhcpcd5 (9.4.1-21) unstable; urgency=medium

  * Document migration to Predictable Network Interface Names in NEWS.Debian.
    Specify Debian 12 (Bookworm) as the release where this got implemented.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Tue, 14 Mar 2023 13:00:16 +0200

dhcpcd5 (9.4.1-20) unstable; urgency=medium

  * Finalize debian/control dependencies and phrasing.
    + Specify that Linux ports utilize Predictable Network Interface Names.
    = Move Suggests on resolvconf to dhcpcd-base.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Fri, 03 Mar 2023 09:21:00 +0200

dhcpcd5 (9.4.1-19) unstable; urgency=medium

  [ lintian-brush ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Fix day-of-week for changelog entries 5.2.12-1, 5.2.7-3.
  * Trim trailing whitespace.
  [ Martin-Éric Racine ]
  * Revert 9.4.1-6 cherry-pick from upstream Git (Closes: #1019100).
    While that fixed a race condition, it also introduced a regression
    for cases when IPv6 link-local uses a 128-bit prefix.
    Due to the Bookworm freeze, reverting 9.4.1-6 feels appropriate.
    This may need to be revisited when the next upstream is released.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sun, 19 Feb 2023 15:13:44 +0200

dhcpcd5 (9.4.1-18) unstable; urgency=medium

  * Add wpasupplicant to Recommends for dhcpcd-base for SSID profiles.
  * Ship an empty /etc/wpa_supplicant/ with dhcpcd for ReadWritePaths.
    Thanks to Beat Bolli for spotting that one in #1020641.
  * Add exit hook for IPv6 debugging to examples.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sun, 12 Feb 2023 07:53:59 +0200

dhcpcd5 (9.4.1-17) unstable; urgency=medium

  * Fix systemd unit hardening to work with dhcpcd-gtk (Closes: #1020641).
    + Add /etc/wpa_supplicant /etc/dhcpcd.conf to ReadWritePaths.
    - Comment out PrivateTmp=true.
    Many thanks to martintxo and János Pásztor for extensive testing.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Wed, 08 Feb 2023 08:42:40 +0200

dhcpcd5 (9.4.1-16) unstable; urgency=medium

  * Add patch from upstream Git: Fix incorrect CTASSERT in ND_OPT_DNSSL.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Wed, 01 Feb 2023 07:07:23 +0200

dhcpcd5 (9.4.1-15) unstable; urgency=medium

  * Fix "dhcpcd fails to chroot during start" (Closes: #1029437).
    Thanks to János Pásztor for the patch.
  * Add ORed Depends on sysvinit-utils for obsolete lsb-base.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Thu, 26 Jan 2023 10:32:24 +0200

dhcpcd5 (9.4.1-14) unstable; urgency=medium

  * Revert "Add 4 patches from upstream Git to fix compiler warnings."
    Those 4 patches cannot be cherry-picked. They depend on earlier upstream
    Git commits without which the code breaks, even though it compiles fine.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Thu, 19 Jan 2023 11:07:51 +0200

dhcpcd5 (9.4.1-13) unstable; urgency=medium

  * Update my copyright for 2023.
  * Move transitional package to Section: oldlibs.
  * Add 4 patches from upstream Git to fix compiler warnings:
    0008_use_return_of_functions.patch
    0009_fix_clang_compiler_warning.patch
    0010_fix_more_compiler_warnings.patch
    0011_remove_suffix_from_md5.patch

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sat, 14 Jan 2023 10:12:39 +0200

dhcpcd5 (9.4.1-12) unstable; urgency=medium

  * Add patch from Git 0007_set_buffer_lenght_to_0.patch (Closes: #1024357).
  * Migrate binaries from dhcpcd5 to dhcpcd.
    = Move maintainer scripts from dhcpcd5 to dhcpcd.
    + Add transitional package dhcpcd5.

