=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--privsepuser=dhcpcd \
		--dbdir=/var/lib/dhcpcd \
		--libexecdir=/usr/lib/dhcpcd \
		--rundir=/run/dhcpcd \
		--with-hooks="ntp.conf timesyncd.conf"

# Avoid starting the unconfigured service as it may break connectivity.
override_dh_installinit:
	dh_installinit --name=dhcpcd --no-start

override_dh_installsystemd:
	dh_installsystemd --name=dhcpcd --no-start
	dh_installsystemd --name=dhcpcd@ --no-start
