## dhcpcd 10.0.2

=== debian/changelog ===
dhcpcd (1:10.0.2-3ubuntu3) mantic; urgency=medium

  * Drop Recommends: on wpasupplicant.  LP: #2037044.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 22 Sep 2023 17:54:00 -0700

dhcpcd (1:10.0.2-3ubuntu2) mantic; urgency=medium

  * d/p/privsep-fix-strlcpy-overflow.patch: fix strlcpy
    overflow in psp_ifname.

 -- Tobias Heider <tobias.heider@canonical.com>  Tue, 15 Aug 2023 18:18:09 +0200

dhcpcd (1:10.0.2-3ubuntu1) mantic; urgency=medium

  * Add OpenSSL compat patch (upstream PR !223)
  * Enable --with-openssl and add libssl dependency

 -- Tobias Heider <tobias.heider@canonical.com>  Wed, 09 Aug 2023 16:24:05 +0200

dhcpcd (1:10.0.2-3) unstable; urgency=medium

  * Revert "Drop transitional dhcpcd5 package."
  * Delete debian/gbp.conf.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sun, 30 Jul 2023 17:50:38 +0300

dhcpcd (1:10.0.2-2) unstable; urgency=medium

  * Autopkgtest:
    + Specify timesyncd test Architecture as linux-any.
    = Fix the timesyncd path for IPv4 NTP servers.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sat, 22 Jul 2023 09:16:48 +0300

dhcpcd (1:10.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop transitional dhcpcd5 package.
  * Clean up autopkgtest directory:
    = Update timesyncd test to use upstream hooks.
    - Remove tests for Chrony, NTPD, OpenNTPD.
    = Fix path for dhcpcd binary.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Wed, 19 Jul 2023 19:04:37 +0300
