=== debian/control ===
--- 
+++ 
@@ -2,9 +2,11 @@
 Section: net
 Priority: optional
 Homepage: https://roy.marples.name/projects/dhcpcd
-Maintainer: Martin-Éric Racine <martin-eric.racine@iki.fi>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Martin-Éric Racine <martin-eric.racine@iki.fi>
 Build-Depends: debhelper-compat (= 13),
                libudev-dev [linux-any],
+               libssl-dev,
                pkg-config
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
@@ -19,7 +21,6 @@
 Depends: adduser,
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: wpasupplicant
 Suggests: resolvconf | openresolv | systemd-resolved
 Description: DHCPv4 and DHCPv6 dual-stack client (binaries and exit hooks)
  dhcpcd provides seamless IPv4 and IPv6 auto-configuration:
