=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,8 @@
 		--dbdir=/var/lib/dhcpcd \
 		--libexecdir=/usr/lib/dhcpcd \
 		--rundir=/run/dhcpcd \
-		--with-hooks="ntp.conf timesyncd.conf"
+		--with-hooks="ntp.conf timesyncd.conf" \
+		--with-openssl
 
 # Avoid starting the unconfigured service as it may break connectivity.
 override_dh_installinit:
