=== debian/tests/control ===
Tests: timesyncd-ntp-servers-from-dhcp
Depends: dnsmasq,
         ethtool,
         iproute2,
         @
Restrictions: isolation-machine, needs-root, breaks-testbed
Architecture: linux-any

Tests: sbin-dhcpcd-exists-without-usrmerge
Depends: @
Restrictions:

Tests: sbin-dhcpcd-exists-with-usrmerge
Depends: usrmerge,
         @
Restrictions: breaks-testbed
