=== debian/changelog ===
dhcpcd (1:10.0.6-1ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:48:02 +0000

dhcpcd (1:10.0.6-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 17:38:45 +0000

dhcpcd (1:10.0.6-1ubuntu1) noble; urgency=medium

  * Remove test dependencies on usrmerge (LP: #2051674).

 -- Ravi Kant Sharma <ravi.kant.sharma@canonical.com>  Fri, 02 Feb 2024 17:27:52 +0100

dhcpcd (1:10.0.6-1) unstable; urgency=medium

  * New upstream release.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Tue, 19 Dec 2023 04:09:22 +0200

dhcpcd (1:10.0.5-5) unstable; urgency=medium

  * [patches]
    - Remove all GNU/Hurd patches. Let Hurd porters handle that.
  * [control]
    = Breaks/Replaces: dhcpcd5 using (<< ${binary:Version}) variable.
  * [rules]
    + Add --no-stop-on-upgrade --no-restart-after-upgrade (Closes: #1057959).

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Tue, 12 Dec 2023 18:50:16 +0200

dhcpcd (1:10.0.5-4) unstable; urgency=medium

  * Attempt to fix the GNU/Hurd build.
    + 003_fix_FTBFS_on_Hurd.patch

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Wed, 22 Nov 2023 08:42:43 +0200

dhcpcd (1:10.0.5-3) unstable; urgency=medium

  * Attempt to fix the GNU/Hurd build.
    + 002_fix_FTBFS_on_Hurd.patch

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sat, 18 Nov 2023 14:46:18 +0200

dhcpcd (1:10.0.5-2) unstable; urgency=medium

  * Attempt to fix the GNU/Hurd build.
    + 001_fix_FTBFS_on_Hurd.patch

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Thu, 16 Nov 2023 13:22:06 +0200

dhcpcd (1:10.0.5-1) unstable; urgency=low

  * New upstream release:
    Fixes "Version 10.0.4 fails to fork in the background" (Closes: #1055275).

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Fri, 10 Nov 2023 17:54:05 +0200

dhcpcd (1:10.0.4-1) unstable; urgency=low

  * New upstream release.
  * Migrate Breaks/Replaces dhcpcd5 (<< 9.4.1-2) to Conflicts.
  * Build against OpenSSL instead of upstream's crypto support.
    + [control] Build-Depends: libssl-dev
    + [rules] --with-openssl

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Thu, 19 Oct 2023 21:43:06 +0300

dhcpcd (1:10.0.3-1) unstable; urgency=medium

  * New upstream release.
  * Move Recommends on wpasupplicant from dhcpcd-base to dhcpcd.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Fri, 06 Oct 2023 13:41:36 +0300

dhcpcd (1:10.0.2-4) unstable; urgency=medium

  [ lintian-brush ]
  * Set upstream metadata: Bug-[Database|Submit], Repository[-Browse].

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Wed, 09 Aug 2023 17:04:52 +0300
