=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Martin-Éric Racine <martin-eric.racine@iki.fi>
 Build-Depends: debhelper-compat (= 13),
+               libssl-dev,
                libudev-dev [linux-any],
-               libssl-dev,
                pkg-config
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
@@ -15,13 +15,13 @@
 
 Package: dhcpcd-base
 Architecture: any
-Provides: dhcp-client
-Replaces: dhcpcd5 (<< 9.4.1-2)
-Breaks: dhcpcd5 (<< 9.4.1-2)
 Depends: adduser,
          ${misc:Depends},
          ${shlibs:Depends}
 Suggests: resolvconf | openresolv | systemd-resolved
+Provides: dhcp-client
+Replaces: dhcpcd5 (<< ${binary:Version})
+Breaks: dhcpcd5 (<< ${binary:Version})
 Description: DHCPv4 and DHCPv6 dual-stack client (binaries and exit hooks)
  dhcpcd provides seamless IPv4 and IPv6 auto-configuration:
   * DHCPv4 client
@@ -50,10 +50,11 @@
          sysvinit-utils (>= 3.05-4~) | lsb-base (>= 3.0-6),
          ${misc:Depends},
          ${shlibs:Depends}
+Recommends: wpasupplicant
+Suggests: dhcpcd-gtk
 Provides: dhcpcd
-Replaces: dhcpcd5 (<< 9.4.1-12)
-Breaks: dhcpcd5 (<< 9.4.1-12)
-Suggests: dhcpcd-gtk
+Replaces: dhcpcd5 (<< ${binary:Version})
+Breaks: dhcpcd5 (<< ${binary:Version})
 Description: DHCPv4 and DHCPv6 dual-stack client (init.d script & systemd unit)
  dhcpcd provides seamless IPv4 and IPv6 auto-configuration.
  .
