=== debian/rules ===
--- 
+++ 
@@ -17,8 +17,8 @@
 
 # Avoid starting the unconfigured service as it may break connectivity.
 override_dh_installinit:
-	dh_installinit --name=dhcpcd --no-start
+	dh_installinit --name=dhcpcd --no-start --no-stop-on-upgrade --no-restart-after-upgrade
 
 override_dh_installsystemd:
-	dh_installsystemd --name=dhcpcd --no-start
-	dh_installsystemd --name=dhcpcd@ --no-start
+	dh_installsystemd --name=dhcpcd --no-start --no-stop-on-upgrade --no-restart-after-upgrade
+	dh_installsystemd --name=dhcpcd@ --no-start --no-stop-on-upgrade --no-restart-after-upgrade
