=== debian/tests/control ===
--- 
+++ 
@@ -9,8 +9,3 @@
 Tests: sbin-dhcpcd-exists-without-usrmerge
 Depends: @
 Restrictions:
-
-Tests: sbin-dhcpcd-exists-with-usrmerge
-Depends: usrmerge,
-         @
-Restrictions: breaks-testbed
